Bug 280056 - amarok crashes on dynamic playlist usage [@ Dynamic::AlbumPlayBias::trackMatches]
Summary: amarok crashes on dynamic playlist usage [@ Dynamic::AlbumPlayBias::trackMatc...
Status: RESOLVED WORKSFORME
Alias: None
Product: amarok
Classification: Unclassified
Component: Playlists/Dynamic Playlists (show other bugs)
Version: 2.5.0
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL:
Keywords: regression
: 284152 285628 289715 290867 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-08-14 03:44 UTC by Till Schäfer
Modified: 2012-05-25 21:08 UTC (History)
8 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (20.58 KB, text/plain)
2012-02-22 19:27 UTC, Jan
Details
albumplaybias-use-albumtracks-safely.patch (719 bytes, patch)
2012-05-09 11:23 UTC, Matěj Laitl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Till Schäfer 2011-08-14 03:44:01 UTC
Application: amarok (2.4.3)
KDE Platform Version: 4.6.5 (4.6.5) (Compiled from sources)
Qt Version: 4.7.2
Operating System: Linux 2.6.39-gentoo-r3 x86_64
Distribution (Platform): Gentoo Packages

-- Information about the crash:
- What I was doing when the application crashed:
I have created a custom dynamic playlist with genre search, playcounter=0 and album play. after i pressed refill playlist, amarok crashed. if i want to start amarok now, it constantly crashes on startup too. the crash report is from the startup crash.

-- Backtrace:
Application: Amarok (amarok), signal: Aborted
pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
	in ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S
[Current thread is 1 (Thread 0x7feb0e9c67a0 (LWP 24418))]

Thread 8 (Thread 0x7feacb997700 (LWP 24420)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007feaf6866af0 in LoopRequest (data=<value optimized out>) at playlist/thread.c:539
#2  Thread (data=<value optimized out>) at playlist/thread.c:586
#3  0x00007feb00a90bc3 in ?? () from //usr/lib64/opengl/nvidia/lib/libGL.so.1
#4  0x00007feb094cbc1a in start_thread (arg=<value optimized out>) at pthread_create.c:301
#5  0x00007feb0b312e7d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 7 (Thread 0x7feac9b72700 (LWP 24423)):
#0  0x00007feb0b30a1f3 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007feb06055fb9 in g_main_context_poll (context=0x10ed510, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:3405
#2  g_main_context_iterate (context=0x10ed510, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:3087
#3  0x00007feb0605640c in g_main_context_iteration (context=0x10ed510, may_block=1) at gmain.c:3155
#4  0x00007feb0bc6ae66 in QEventDispatcherGlib::processEvents (this=0xd455e0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007feb0bc3da82 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007feb0bc3de64 in QEventLoop::exec (this=0x7feac9b71ce0, flags=) at kernel/qeventloop.cpp:201
#7  0x00007feb0bb4a49d in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#8  0x00007feb0bc1da98 in QInotifyFileSystemWatcherEngine::run (this=0x10bdce0) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007feb0bb4d4c5 in QThreadPrivate::start (arg=0x10bdce0) at thread/qthread_unix.cpp:320
#10 0x00007feb00a90bc3 in ?? () from //usr/lib64/opengl/nvidia/lib/libGL.so.1
#11 0x00007feb094cbc1a in start_thread (arg=<value optimized out>) at pthread_create.c:301
#12 0x00007feb0b312e7d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 6 (Thread 0x7feac369b700 (LWP 24424)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007feb0bb4e08b in wait (this=<value optimized out>, mutex=0x12f8a10, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x12f8a10, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007feb08862c24 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x12f85d0, th=0x13087a0) at /var/tmp/portage/kde-base/kdelibs-4.6.5-r1/work/kdelibs-4.6.5/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007feb08865e0b in ThreadWeaver::WorkingHardState::applyForWork (this=0x12f8b30, th=0x13087a0) at /var/tmp/portage/kde-base/kdelibs-4.6.5-r1/work/kdelibs-4.6.5/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007feb0886439f in ThreadWeaver::ThreadRunHelper::run (this=0x7feac369ad30, parent=0x12f85d0, th=0x13087a0) at /var/tmp/portage/kde-base/kdelibs-4.6.5-r1/work/kdelibs-4.6.5/threadweaver/Weaver/Thread.cpp:87
#6  0x00007feb088648e8 in ThreadWeaver::Thread::run (this=0x13087a0) at /var/tmp/portage/kde-base/kdelibs-4.6.5-r1/work/kdelibs-4.6.5/threadweaver/Weaver/Thread.cpp:142
#7  0x00007feb0bb4d4c5 in QThreadPrivate::start (arg=0x13087a0) at thread/qthread_unix.cpp:320
#8  0x00007feb00a90bc3 in ?? () from //usr/lib64/opengl/nvidia/lib/libGL.so.1
#9  0x00007feb094cbc1a in start_thread (arg=<value optimized out>) at pthread_create.c:301
#10 0x00007feb0b312e7d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 5 (Thread 0x7feac2880700 (LWP 24425)):
[KCrash Handler]
#6  0x00007feb0b273355 in raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007feb0b2745ef in abort () at abort.c:92
#8  0x00007feb0bb436a4 in qt_message_output (msgType=QtFatalMsg, buf=<value optimized out>) at global/qglobal.cpp:2282
#9  0x00007feb0bb43852 in qt_message(QtMsgType, const char *, typedef __va_list_tag __va_list_tag *) (msgType=QtFatalMsg, msg=0x7feb0bca46c8 "ASSERT: \"%s\" in file %s, line %d", ap=0x7feac287f8b0) at global/qglobal.cpp:2328
#10 0x00007feb0bb43a05 in qFatal (msg=0x5f69 <Address 0x5f69 out of bounds>) at global/qglobal.cpp:2511
#11 0x00007feb0d79f172 in QList<KSharedPtr<Meta::Track> >::last (this=0x7feac287f9d0) at /usr/include/qt4/QtCore/qlist.h:271
#12 0x00007feb0d79e538 in Dynamic::AlbumPlayBias::trackMatches (this=0x1334fb0, position=<value optimized out>, playlist=<value optimized out>, contextCount=<value optimized out>) at /var/tmp/portage/media-sound/amarok-2.4.3/work/amarok-2.4.3/src/dynamic/biases/AlbumPlayBias.cpp:214
#13 0x00007feb0d79bbbb in Dynamic::AndBias::trackMatches (this=<value optimized out>, position=<value optimized out>, playlist=<value optimized out>, contextCount=91) at /var/tmp/portage/media-sound/amarok-2.4.3/work/amarok-2.4.3/src/dynamic/Bias.cpp:301
#14 0x00007feb0d79ac05 in Dynamic::AbstractBias::energy (this=0x12ca140, playlist=..., contextCount=91) at /var/tmp/portage/media-sound/amarok-2.4.3/work/amarok-2.4.3/src/dynamic/Bias.cpp:108
#15 0x00007feb0d793aa3 in Dynamic::SolverList::energy (this=0x7feac287fb50) at /var/tmp/portage/media-sound/amarok-2.4.3/work/amarok-2.4.3/src/dynamic/BiasSolver.cpp:99
#16 0x00007feb0d792db1 in Dynamic::BiasSolver::run (this=0x136c0f0) at /var/tmp/portage/media-sound/amarok-2.4.3/work/amarok-2.4.3/src/dynamic/BiasSolver.cpp:203
#17 0x00007feb08865061 in ThreadWeaver::JobRunHelper::runTheJob (this=0x7feac287fca0, th=0x8fbe80, job=0x136c0f0) at /var/tmp/portage/kde-base/kdelibs-4.6.5-r1/work/kdelibs-4.6.5/threadweaver/Weaver/Job.cpp:106
#18 0x00007feb0886535e in ThreadWeaver::Job::execute (this=0x136c0f0, th=0x8fbe80) at /var/tmp/portage/kde-base/kdelibs-4.6.5-r1/work/kdelibs-4.6.5/threadweaver/Weaver/Job.cpp:135
#19 0x00007feb0886436f in ThreadWeaver::ThreadRunHelper::run (this=0x7feac287fd30, parent=0x12f85d0, th=0x8fbe80) at /var/tmp/portage/kde-base/kdelibs-4.6.5-r1/work/kdelibs-4.6.5/threadweaver/Weaver/Thread.cpp:95
#20 0x00007feb088648e8 in ThreadWeaver::Thread::run (this=0x8fbe80) at /var/tmp/portage/kde-base/kdelibs-4.6.5-r1/work/kdelibs-4.6.5/threadweaver/Weaver/Thread.cpp:142
#21 0x00007feb0bb4d4c5 in QThreadPrivate::start (arg=0x8fbe80) at thread/qthread_unix.cpp:320
#22 0x00007feb00a90bc3 in ?? () from //usr/lib64/opengl/nvidia/lib/libGL.so.1
#23 0x00007feb094cbc1a in start_thread (arg=<value optimized out>) at pthread_create.c:301
#24 0x00007feb0b312e7d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 4 (Thread 0x7feac207f700 (LWP 24426)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007feb0bb4e08b in wait (this=<value optimized out>, mutex=0x12f8a10, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x12f8a10, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007feb08862c24 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x12f85d0, th=0x137bb60) at /var/tmp/portage/kde-base/kdelibs-4.6.5-r1/work/kdelibs-4.6.5/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007feb08865e0b in ThreadWeaver::WorkingHardState::applyForWork (this=0x12f8b30, th=0x137bb60) at /var/tmp/portage/kde-base/kdelibs-4.6.5-r1/work/kdelibs-4.6.5/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007feb0886439f in ThreadWeaver::ThreadRunHelper::run (this=0x7feac207ed30, parent=0x12f85d0, th=0x137bb60) at /var/tmp/portage/kde-base/kdelibs-4.6.5-r1/work/kdelibs-4.6.5/threadweaver/Weaver/Thread.cpp:87
#6  0x00007feb088648e8 in ThreadWeaver::Thread::run (this=0x137bb60) at /var/tmp/portage/kde-base/kdelibs-4.6.5-r1/work/kdelibs-4.6.5/threadweaver/Weaver/Thread.cpp:142
#7  0x00007feb0bb4d4c5 in QThreadPrivate::start (arg=0x137bb60) at thread/qthread_unix.cpp:320
#8  0x00007feb00a90bc3 in ?? () from //usr/lib64/opengl/nvidia/lib/libGL.so.1
#9  0x00007feb094cbc1a in start_thread (arg=<value optimized out>) at pthread_create.c:301
#10 0x00007feb0b312e7d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 3 (Thread 0x7feac125d700 (LWP 24427)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007feb0bb4e08b in wait (this=<value optimized out>, mutex=0x12f8a10, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x12f8a10, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007feb08862c24 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x12f85d0, th=0x15e5570) at /var/tmp/portage/kde-base/kdelibs-4.6.5-r1/work/kdelibs-4.6.5/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007feb08865e0b in ThreadWeaver::WorkingHardState::applyForWork (this=0x12f8b30, th=0x15e5570) at /var/tmp/portage/kde-base/kdelibs-4.6.5-r1/work/kdelibs-4.6.5/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007feb08865e24 in ThreadWeaver::WorkingHardState::applyForWork (this=0x12f8b30, th=0x15e5570) at /var/tmp/portage/kde-base/kdelibs-4.6.5-r1/work/kdelibs-4.6.5/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007feb08865e24 in ThreadWeaver::WorkingHardState::applyForWork (this=0x12f8b30, th=0x15e5570) at /var/tmp/portage/kde-base/kdelibs-4.6.5-r1/work/kdelibs-4.6.5/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007feb0886439f in ThreadWeaver::ThreadRunHelper::run (this=0x7feac125cd30, parent=0x12f85d0, th=0x15e5570) at /var/tmp/portage/kde-base/kdelibs-4.6.5-r1/work/kdelibs-4.6.5/threadweaver/Weaver/Thread.cpp:87
#8  0x00007feb088648e8 in ThreadWeaver::Thread::run (this=0x15e5570) at /var/tmp/portage/kde-base/kdelibs-4.6.5-r1/work/kdelibs-4.6.5/threadweaver/Weaver/Thread.cpp:142
#9  0x00007feb0bb4d4c5 in QThreadPrivate::start (arg=0x15e5570) at thread/qthread_unix.cpp:320
#10 0x00007feb00a90bc3 in ?? () from //usr/lib64/opengl/nvidia/lib/libGL.so.1
#11 0x00007feb094cbc1a in start_thread (arg=<value optimized out>) at pthread_create.c:301
#12 0x00007feb0b312e7d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7feabb7fe700 (LWP 24430)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007feb07874554 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7feb07b7f160) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007feb07874589 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7feb07b8d234) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007feb00a90bc3 in ?? () from //usr/lib64/opengl/nvidia/lib/libGL.so.1
#4  0x00007feb094cbc1a in start_thread (arg=<value optimized out>) at pthread_create.c:301
#5  0x00007feb0b312e7d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7feb0e9c67a0 (LWP 24418)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007feb0bb4e08b in wait (this=<value optimized out>, mutex=0x10bdba0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x10bdba0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007feb0bb4d114 in QThread::wait (this=<value optimized out>, time=18446744073709551615) at thread/qthread_unix.cpp:722
#4  0x00007feb0bc10710 in QFileSystemWatcher::~QFileSystemWatcher (this=0xd44a70, __in_chrg=<value optimized out>) at io/qfilesystemwatcher.cpp:446
#5  0x00007feb0bc50c3f in QObjectPrivate::deleteChildren (this=0x10be010) at kernel/qobject.cpp:1955
#6  0x00007feb0bc582fb in QObject::~QObject (this=<value optimized out>, __in_chrg=<value optimized out>) at kernel/qobject.cpp:946
#7  0x00007feb08b2f7d6 in Solid::Backends::Fstab::FstabWatcher::~FstabWatcher (this=0x10bdfe0, __in_chrg=<value optimized out>) at /var/tmp/portage/kde-base/kdelibs-4.6.5-r1/work/kdelibs-4.6.5/solid/solid/backends/fstab/fstabwatcher.cpp:51
#8  0x00007feb0b275d95 in __run_exit_handlers (status=1, listp=0x7feb0b5a14c8, run_list_atexit=true) at exit.c:78
#9  0x00007feb0b275de5 in exit (status=17746972) at exit.c:100
#10 0x00007feb0c6afba8 in qt_xio_errhandler () at kernel/qapplication_x11.cpp:772
#11 0x00007feb0e3c6e28 in KApplication::xioErrhandler (this=0x7fffa24f5e50, dpy=0x7ef650) at /var/tmp/portage/kde-base/kdelibs-4.6.5-r1/work/kdelibs-4.6.5/kdeui/kernel/kapplication.cpp:419
#12 0x00007feb0d16e11e in _XIOError (dpy=0x7ef650) at /var/tmp/portage/x11-libs/libX11-1.4.3/work/libX11-1.4.3/src/XlibInt.c:1618
#13 0x00007feb0d16d07d in _XEventsQueued (dpy=0x7ef650, mode=<value optimized out>) at /var/tmp/portage/x11-libs/libX11-1.4.3/work/libX11-1.4.3/src/xcb_io.c:307
#14 0x00007feb0d15d20d in XPending (dpy=0x7ef650) at /var/tmp/portage/x11-libs/libX11-1.4.3/work/libX11-1.4.3/src/Pending.c:55
#15 0x00007feb0c6c0f07 in QETWidget::translateMouseEvent (this=0xd4f8a0, event=0x7fffa24f5aa0) at kernel/qapplication_x11.cpp:4179
#16 0x00007feb0c6bfe20 in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7fffa24f5aa0) at kernel/qapplication_x11.cpp:3587
#17 0x00007feb0c6ea342 in x11EventSourceDispatch (s=0x7e5660, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#18 0x00007feb06051bc1 in g_main_dispatch (context=0x7e3d60) at gmain.c:2441
#19 g_main_context_dispatch (context=0x7e3d60) at gmain.c:3014
#20 0x00007feb06056258 in g_main_context_iterate (context=0x7e3d60, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:3092
#21 0x00007feb0605640c in g_main_context_iteration (context=0x7e3d60, may_block=1) at gmain.c:3155
#22 0x00007feb0bc6ae13 in QEventDispatcherGlib::processEvents (this=0x7e3890, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#23 0x00007feb0c6e9cbe in QGuiEventDispatcherGlib::processEvents (this=0x10ecc1c, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#24 0x00007feb0bc3da82 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#25 0x00007feb0bc3de64 in QEventLoop::exec (this=0x7fffa24f5dc0, flags=) at kernel/qeventloop.cpp:201
#26 0x00007feb0bc41edb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#27 0x000000000040a4e8 in main (argc=<value optimized out>, argv=<value optimized out>) at /var/tmp/portage/media-sound/amarok-2.4.3/work/amarok-2.4.3/src/main.cpp:289

Reported using DrKonqi
Comment 1 Ralf Engels 2011-08-15 20:51:15 UTC
Thanks for the report.

As a first work around please delete (or edit) the file in ~/.kde/share/apps/amarok/dynamicplaylist.xml
Comment 2 Till Schäfer 2011-08-16 19:03:22 UTC
THX for the tip. I downgraded to 2.4.1 to resolve the issue at the moment.
Comment 3 Ralf Engels 2011-08-21 09:06:36 UTC
Git commit 0210e20866d4408703417ad846204f55f724e42a by Ralf Engels.
Committed on 17/08/2011 at 15:44.
Pushed by rengels into branch 'master'.

Crash within AlbumPlayBias

BUG: 280056
FIXED-IN: 2.4.4

M  +1    -1    src/dynamic/biases/AlbumPlayBias.cpp

http://commits.kde.org/amarok/0210e20866d4408703417ad846204f55f724e42a
Comment 4 Myriam Schweingruber 2011-10-16 10:42:39 UTC
*** Bug 284152 has been marked as a duplicate of this bug. ***
Comment 5 Myriam Schweingruber 2011-11-03 17:20:08 UTC
*** Bug 285628 has been marked as a duplicate of this bug. ***
Comment 6 Myriam Schweingruber 2011-12-24 16:12:47 UTC
*** Bug 289715 has been marked as a duplicate of this bug. ***
Comment 7 Myriam Schweingruber 2012-01-07 23:03:55 UTC
*** Bug 290867 has been marked as a duplicate of this bug. ***
Comment 8 Myriam Schweingruber 2012-01-07 23:04:58 UTC
Reopening based on bug 290867, see the following backtrace:

Thread 7 (Thread 0x7fc67cad4700 (LWP 19897)):
[KCrash Handler]
#6  0x00007fc6ae4bf405 in *__GI_raise (sig=<optimized out>) at
../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007fc6ae4c2680 in *__GI_abort () at abort.c:92
#8  0x00007fc6ae4f5e0b in __libc_message (do_abort=<optimized out>,
fmt=<optimized out>) at ../sysdeps/unix/sysv/linux/libc_fatal.c:189
#9  0x00007fc6ae4ff656 in malloc_printerr (action=3, str=0x7fc6ae5d336b
"corrupted double-linked list", ptr=<optimized out>) at malloc.c:6283
#10 0x00007fc6ae4ffa8d in malloc_consolidate (av=<optimized out>) at
malloc.c:5161
#11 0x00007fc6ae501db4 in _int_malloc (av=0x7fc674000020, bytes=19897) at
malloc.c:4373
#12 0x00007fc6ae504470 in *__GI___libc_malloc (bytes=4096) at malloc.c:3660
#13 0x00007fc6aedc31eb in QListData::detach(int) () from
/usr/lib/libQtCore.so.4
#14 0x00007fc6b0831acc in QList<KSharedPtr<Meta::Track> >::detach_helper
(this=<optimized out>, alloc=<optimized out>) at
/usr/include/qt4/QtCore/qlist.h:694
#15 0x00007fc6b0a08459 in detach_helper (this=0x7fc67cad34a0) at
/usr/include/qt4/QtCore/qlist.h:710
#16 detach (this=0x7fc67cad34a0) at /usr/include/qt4/QtCore/qlist.h:126
#17 detach (this=0x7fc67cad34a0) at ./AlbumPlayBias.moc:78
#18 end (this=0x7fc67cad34a0) at /usr/include/qt4/QtCore/qlist.h:257
#19 last (this=0x7fc67cad34a0) at /usr/include/qt4/QtCore/qlist.h:271
#20 Dynamic::AlbumPlayBias::trackMatches (this=0x2abef20, position=<optimized
out>, playlist=<optimized out>, contextCount=<optimized out>) at
../../src/dynamic/biases/AlbumPlayBias.cpp:214
#21 0x00007fc6b0a17624 in MatchState::compute (this=0x7fc67cad35a0) at
../../src/dynamic/biases/PartBias.cpp:134
#22 0x00007fc6b0a14896 in MatchState (contextCount=<optimized out>,
playlist=..., ignoreTrack=<optimized out>, bias=0x2abd150, this=0x7fc67cad35a0)
at ../../src/dynamic/biases/PartBias.cpp:111
#23 Dynamic::PartBias::updateResults (this=0x2abd150) at
../../src/dynamic/biases/PartBias.cpp:464
#24 0x00007fc6b0a15bd9 in Dynamic::PartBias::matchingTracks (this=0x2abd150,
position=17, playlist=..., contextCount=1, universe=...) at
../../src/dynamic/biases/PartBias.cpp:450
#25 0x00007fc6b0a10dde in Dynamic::IfElseBias::matchingTracks (this=0x2abc7e0,
position=17, playlist=..., contextCount=1, universe=...) at
../../src/dynamic/biases/IfElseBias.cpp:103
#26 0x00007fc6b09ef214 in Dynamic::BiasSolver::matchingTracks (this=0x296f1c0,
position=<optimized out>, playlist=<optimized out>) at
../../src/dynamic/BiasSolver.cpp:611
#27 0x00007fc6b09f0f09 in Dynamic::BiasSolver::simpleOptimize (this=0x296f1c0,
list=0x7fc67cad3a30) at ../../src/dynamic/BiasSolver.cpp:247
#28 0x00007fc6b09f41ef in Dynamic::BiasSolver::run (this=0x296f1c0) at
../../src/dynamic/BiasSolver.cpp:206
Comment 9 Jan 2012-02-22 19:27:03 UTC
Created attachment 69012 [details]
New crash information added by DrKonqi

I have to start Amarok several times before it does not crash. I use it to play musik via Ampache.
Comment 10 Myriam Schweingruber 2012-02-23 06:37:31 UTC
Jan, please upgrade your Amarok 2.3.0 is completely outdated.
Comment 11 Matěj Laitl 2012-05-09 11:23:58 UTC
Created attachment 70976 [details]
albumplaybias-use-albumtracks-safely.patch
Comment 12 Matěj Laitl 2012-05-09 11:27:45 UTC
Reporters, please test attached patch and report whether it fixed the crash or not. It should apply cleanly both to current git and Amarok 2.5. I suggest asking on #amarok on IRC to get advice on how to patch and build Amarok from sources.
Comment 13 Julien Bigot 2012-05-25 12:40:12 UTC
Using amarok 2.5.0 (package 2.5.0-2 from debian) I can no longer reproduce the crash I reported in bug #290867 . Echonest test doesn't block the playlist generation anymore.
Comment 14 Matěj Laitl 2012-05-25 21:08:18 UTC
Nobody seems to be able to reproduce this bug now, it could have been recently fixed Qt bug perhaps. The patch was rather theoretical so I'm not going to apply it.